default:
  image: registry.app.unistra.fr/alain/dockers/gcc

stages:
  - build
  - test
  - final

compile-job:
  stage: build
  script:
    - echo "Compiling the project..."
    - gcc -c c-check/interval.c
  artifacts:
    paths:
      - interval.o

test-job:
  stage: test

  script:
    - echo "Testing..."
    - gcc -c c-check/test_interval.c -lcheck -lm -lsubunit
    - gcc -o test_interval interval.o test_interval.o -lcheck -lm -lsubunit
    - ./test_interval
  dependencies:
    - compile-job

final-job:
  stage: final
  script:
    - echo "All done"
